library bang_test; // version: 1999/05/15
//
//     _   _   _         _ _                    __  ____    _____     __  ____
//    //_ //_ //_ __    ////_ _ _ _ _ _ _ _ _  /__\/ __/\  / / _ \   /__\/ __/
//   /_ // _// _//_ \o ////////////////////// //_// __/\ \/ /||_||  //_// __/
//  //// \_/ \_// __/o/////____//____//____/o/___/\__/  \__/ \___/o/___/___/
//             /_/
//
// ----------------------------------------------------------------------------
// bang_test.dpr is an example for using bangcommands. it adds the bangcommand
// !helloworld which display's a msgbox. seems to work only with newest build.
// ----------------------------------------------------------------------------
// how to use it:
// 
// add to your step.rc:
// 'LoadModule [your lspath]\bang_test.dll'
// and
// *Wharf "testbang" .none !helloworld
//
// click on the additional wharf to see the hello world!
// ----------------------------------------------------------------------------
//
// history:
// 1999/05/15 - murphy@dev0.de
// - first start of creation.
//   runs fine.
//

uses
  SysUtils,
  Classes,
  Windows,
  wharfdata in '..\..\units\wharfdata.pas',
  lsapi     in '..\..\units\lsapi.pas';

procedure BangHelloWorld(Caller:HWnd;Args:pchar); cdecl;
begin
  MessageBox(Caller,'Hello World!','Bang_Test.Dll',mb_ok);
end;

function initModuleEx(ParentWnd:HWND;dllInst:Longint;szPath:PCHAR):longint; cdecl;
begin  
  AddBangCommand('!helloworld',@BangHelloWorld);
  result:=0;
end;

function initModule(ParentWnd:HWND;dllInst:Longint;wd:WharfDataTypePtr):longint; cdecl;
begin
  result:=initModuleEx(ParentWnd,dllInst,wd.lsPath);
end;

procedure quitModule(dllInst:Longint); cdecl;
begin
  RemoveBangCommand('!helloworld');
end;

exports
  initModule   index 1,
  initModuleEx index 2,
  quitModule   index 3;

begin
end.
