unit lsapi; // version: 1999/05/13
//
//     _   _   _         _ _                    __  ____    _____     __  ____
//    //_ //_ //_ __    ////_ _ _ _ _ _ _ _ _  /__\/ __/\  / / _ \   /__\/ __/
//   /_ // _// _//_ \o ////////////////////// //_// __/\ \/ /||_||  //_// __/
//  //// \_/ \_// __/o/////____//____//____/o/___/\__/  \__/ \___/o/___/___/
//             /_/
//
// ----------------------------------------------------------------------------
// lsapi.h headerconvert from litestep source 1999/05/13:
// the unit lsapi provides an interface for litestep programmers to importent
// functions of litestep.
// ----------------------------------------------------------------------------
//
// history:
// 1999/04/11 - murphy@dev0.de
// - first start of conversion.
// - all constants ok!
// - following functions are tested:
//   GetLitestepWnd, SetupRC, GetRCInt, GetRCString, GetRCBool, GetRCColor,
//   CloseRC, TransparentBltLS
// 1999/05/13 - murphy@dev0.de
// - updated constants to actual source.
// - added RemoveBangCommand.
//

interface

uses
  Windows;

const
  MATCH_PATTERN = 6;    { match failure on literal match }
  MATCH_LITERAL = 5;    { match failure on [..] construct }
  MATCH_RANGE   = 4;    { premature end of text string }
  MATCH_ABORT   = 3;    { premature end of pattern string }
  MATCH_END     = 2;    { valid match }
  MATCH_VALID   = 1;    { pattern defines }
  PATTERN_VALID = 0;    { valid pattern }
  PATTERN_ESC   = -1;   { literal escape at end of pattern }
  PATTERN_RANGE = -2;   { malformed range in [..] construct }
  PATTERN_CLOSE = -3;   { no end bracket in [..] construct }
  PATTERN_EMPTY = -4;   { [..] contstruct is empty }

  { message defines }
  LM_SHUTDOWN          = 8889;
  LM_REPAINT           = 8890;
  LM_BRINGTOFRONT      = 8891;
  LM_SAVEDATA          = 8892;
  LM_RESTOREDATA       = 8893;
  LM_POPUP             = 9182;
  LM_HIDEPOPUP         = 9183;
  {9185? in desktop}
  LM_LSSELECT          = 9185;
  LM_SETTASKBARONTOP   = 9186;
  LM_SAVESYSTRAY       = 9210;
  LM_RESTORESYSTRAY    = 9211;
  LM_CHECKFORAPPBAR    = 9212;
  LM_SENDSYSTRAY       = 9213;
  LM_RECYCLE           = 9260;
  LM_REGISTERMESSAGE   = 9263;
  LM_UNREGISTERMESSAGE = 9264;
  LM_GETREVID	       = 9265;
  LM_UNLOADMODULE      = 9266;
  LM_RELOADMODULE      = 9267;
  LM_SHADETOGGLE       = 9300;
  LM_VWMUP             = 9350;
  LM_VWMDOWN           = 9351;
  LM_VWMLEFT           = 9352;
  LM_VWMRIGHT          = 9353;
  LM_VWMNAV            = 9354;
  LM_SWITCHTON         = 9355;
  LM_WINLIST           = 9400;

  //function LCOpen(szPath:string):^FILE;
  //function LCClose(f:^FILE):BOOL;
  //function LCReadNextCommand(f:^FILE; szBuffer:LPSTR; dwLength:DWORD):BOOL;
  //function LCReadNextConfig(f:^FILE; szPrefix:LPCSTR; szBuffer:LPSTR; dwLength:DWORD):BOOL;
  //function LCTokenize(szString:LPCSTR; lpszBuffers:string; dwNumBuffers:DWORD; szExtraParameters:LPSTR):longint;
  function BitmapToRegion(hBmp:HBITMAP;cTransparentColor:COLORREF;cTolerance:COLORREF;xoffset:Longint;yoffset:longint):HRGN; cdecl; external 'lsapi.dll';
  function ParseBangCommand(caller:HWND;command:string;args:string):BOOL; cdecl; external 'lsapi.dll';
  function AddBangCommand(command:string;f:pointer):BOOL; cdecl; external 'lsapi.dll';
  function RemoveBangCommand(command:string):BOOL; cdecl; external 'lsapi.dll';
  procedure Frame3D(dc:HDC;rect:TRect;TopColor:COLORREF;BottomColor:COLORREF;Width:longint); cdecl; external 'lsapi.dll';
  //function LoadLSImage(szImage:LPCSTR; szFile:LPCSTR):HBITMAP;
  function BitmapFromIcon(hIcon:HICON):HBITMAP; cdecl; external 'lsapi.dll';
  //function LoadLSIcon(szImage:LPCSTR; szFile:LPCSTR):HICON;
  procedure SetDesktopArea(left:longint;top:longint;right:longint;bottom:longint); cdecl; external 'lsapi.dll';
  procedure GetLSBitmapSize(hBitmap:HBITMAP;var x:longint;var y:longint); cdecl; external 'lsapi.dll';
  procedure TransparentBltLS(dc:HDC;nXDest:longint;nYDest:longint;nWidth:longint;nHeight:longint;
    tempDC:HDC;nXSrc:longint;nYSrc:longint;colorTransparent:COLORREF); cdecl; external 'lsapi.dll';
  function GetLitestepWnd:HWND; cdecl; external 'lsapi.dll';
  //procedure VarExpansion(buffer:pchar; value:pchar);
  function SetupRC(szPath:string):boolean; cdecl; external 'lsapi.dll';
  function GetRCInt(lpKeyName:string;nDefault:longint):longint; cdecl; external 'lsapi.dll';
  function GetRCString(lpKeyName:string;value:pchar;defStr:string;maxLen:longint):BOOL; cdecl; external 'lsapi.dll';
  function GetRCBool(lpKeyName:string;ifFound:BOOL):BOOL; cdecl; external 'lsapi.dll';
  function GetRCColor(lpKeyName:string;colDef:COLORREF):COLORREF; cdecl; external 'lsapi.dll';
  procedure CloseRC; cdecl; external 'lsapi.dll';
  //function match(pattern:string; text:string):BOOL;
  //function matche(pattern:string; text:string):longint;
  //function is_pattern(pattern:string):BOOL;
  //function is_valid_pattern(pattern:string; error_type:longint):BOOL;

implementation

end.

